RK-A - Bug #1939

Review the candidates added by check_distant_cands
12/09/2021 01:28 PM - Nandini Bansal

Status: In Progress Start date: 12/09/2021
Priority: Normal Due date:

Assignee: Rohit Choudhary % Done: 0%
Category: Estimated time: 2.00 hours
Target version: P1 Spent time: 0.00 hour
Description

There have been some cases of bad KPs that are getting added by the check_distant_cands function.
E.g.

KP: function or method objects

KP doc_id: ###i##1931#%&Table Of Contents#%&Debugging and Profiling#%&pdb — The Python Debugger#%&
Similar doc: #####2176#%&Table Of Contents#%&Python Language Services#%&pyclbr — Python module browser
support#%&Function Objects#%&

KP: set breakpoints and type
KP doc_id: #####1931#%&Table Of Contents#%&Debugging and Profiling#%&pdb — The Python Debugger#%&
similar doc: #####61#%&Table Of Contents#%&Built-in Types#%&Set Types — set, frozenset#%&

We should review all the KPs that are getting added by this function to see the ratio of good and bad KPs. Then we will see if we
need to make any changes in the function.

History

#1 - 12/19/2021 09:14 AM - Nandini Bansal
- Assignee set to Rohit Choudhary

#2 - 12/29/2021 02:19 PM - Rohit Choudhary

- Status changed from New to In Progress
